summaryrefslogtreecommitdiff
path: root/fixincludes/mkfixinc.sh
diff options
context:
space:
mode:
authorgeoffk <geoffk@138bc75d-0d04-0410-961f-82ee72b054a4>2004-11-05 04:49:19 +0000
committergeoffk <geoffk@138bc75d-0d04-0410-961f-82ee72b054a4>2004-11-05 04:49:19 +0000
commit50e7e370529f5c08cc6c4611c4a4c512968178e6 (patch)
tree9c0488dfa9919d3ba6f1c976082a924834f13942 /fixincludes/mkfixinc.sh
parentcb8e0dc9c2658c36d1d6e7b49c3ebf9321339ffd (diff)
downloadgcc-50e7e370529f5c08cc6c4611c4a4c512968178e6.tar.gz
Index: ChangeLog
2004-11-04 Geoffrey Keating <geoffk@apple.com> * Makefile.def: Build fixincludes for the host, too. * Makefile.in: Regenerate. * configure.in (host_tools): Add fixincludes. * configure: Regenerate. Index: fixincludes/ChangeLog 2004-11-04 Geoffrey Keating <geoffk@apple.com> * configure.ac: Add code to determine noncanonical_target, local_prefix, gcc_version; process mkheaders.in to make mkheaders. * configure: Regenerate. * fixinc.in: Move here from gcc/; fix many cross-hosting bugs. * mkfixinc.sh: Move here from gcc/; update for changes to fixinc.in. * mkheaders.in: Move here from gcc/; remove some unnecessary macros; update for changes to fixinc.in. * Makefile.in: Add many new macros. (install): New target. (mkheaders): New target. (fixinc.sh): New target. (all): Add mkheaders and fixinc.sh. * README-fixinc: Move here from gcc/. Index: gcc/ChangeLog 2004-11-04 Geoffrey Keating <geoffk@apple.com> * Makefile.in (distclean): Don't delete nonexistent fixinc/ directory. (install-mkheaders): Install the version built for the host, not for the build machine. * configure.ac: Always run fixincludes. (all_outputs): Remove mkheaders. * configure: Regenerate. * fixinc.in: Move to fixincludes/. * mkfixinc.sh: Likewise. * mkheaders.in: Likewise. * README-fixinc: Likewise. git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@90117 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'fixincludes/mkfixinc.sh')
-rwxr-xr-xfixincludes/mkfixinc.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/fixincludes/mkfixinc.sh b/fixincludes/mkfixinc.sh
new file mode 100755
index 00000000000..d8b55c1f3f6
--- /dev/null
+++ b/fixincludes/mkfixinc.sh
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "Usage: $0 <target-mach-triplet>"
+ exit 1
+fi
+
+machine=$1
+target=fixinc.sh
+
+# Check for special fix rules for particular targets
+case $machine in
+ alpha*-dec-*vms* | \
+ arm-semi-aof | \
+ hppa1.1-*-osf* | \
+ hppa1.1-*-bsd* | \
+ i370-*-openedition | \
+ i?86-moss-msdos* | \
+ i?86-*-moss* | \
+ i?86-*-pe | \
+ i?86-*-cygwin* | \
+ i?86-*-mingw32* | \
+ i?86-*-uwin* | \
+ i?86-*-interix* | \
+ powerpc-*-eabiaix* | \
+ powerpc-*-eabisim* | \
+ powerpc-*-eabi* | \
+ powerpc-*-rtems* | \
+ powerpcle-*-eabisim* | \
+ powerpcle-*-eabi* )
+ # IF there is no include fixing,
+ # THEN create a no-op fixer and exit
+ (echo "#! /bin/sh" ; echo "exit 0" ) > ${target}
+ ;;
+
+ *)
+ ../${build_subdir}/fixincludes/fixincl -v < /dev/null
+ cat < ${srcdir}/fixinc.in > ${target}
+ ;;
+esac
+chmod 755 ${target}